Bug 175111 - xend service hangs machine booted into xen0 kernel
xend service hangs machine booted into xen0 kernel
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Rik van Riel
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-06 13:02 EST by Stephen Warren
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-24 15:13:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci -v output (5.36 KB, text/plain)
2005-12-06 13:03 EST, Stephen Warren
no flags Details
lspci -n -v output (4.02 KB, text/plain)
2005-12-06 13:04 EST, Stephen Warren
no flags Details

  None (edit)
Description Stephen Warren 2005-12-06 13:02:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051129 Fedora/1.5-1 Firefox/1.5

Description of problem:
When I boot the DOM0 kernel, the machine boots the whole way through starting all the services, including xend, then hangs. Keyboard/mouse are not responsive.

If I "chkconfig xend off" and then reboot, I can login just fine. However, as soon as I "service xend start", I experience the same hang.

Once hung, CTRL-ALT-DEL doesn't reboot the system - a hard power-cycle is required.

No kernel messages are visible on screen.

I'll attach an lspci output to the bug report in a second.


Version-Release number of selected component (if applicable):
kernel-xen-hypervisor-devel-2.6.12-1.13_FC5 xen-3.0-0.20051109.fc5.4

How reproducible:
Always

Steps to Reproduce:
1. Boot xen0 kernel, hangs at end of boot process

OR

1. Disable xend service
2. Boot xen0 kernel
3. Login
4. service xend start


Additional info:
Comment 1 Stephen Warren 2005-12-06 13:03:39 EST
Created attachment 121923 [details]
lspci -v output
Comment 2 Stephen Warren 2005-12-06 13:04:22 EST
Created attachment 121924 [details]
lspci -n -v output
Comment 3 Stephen Tweedie 2006-01-18 13:39:09 EST
We have rebased the hypervisor, kernel and xend significantly for fc5t2; can you
reproduce the problem with the new packages?  Thanks.
Comment 4 Stephen Warren 2006-01-18 13:42:03 EST
Can I test this by "yum update" to the latest devel tree, or do you want me to
specifically install FC5T2?

By the way, I did pick up some new Xen kernels etc. a short while ago (couple
days, or a week or so) and this particular bug was gone, but Xen still didn't
work very well. I'll check back on the exact versions, and whether there are any
new updates in devel, and post another comment shortly.
Comment 5 Stephen Tweedie 2006-01-18 14:32:11 EST
Yes, the latest devel tree should be fine; from the perspective of Xen, it's
more or less the same as fc5t2 still.  Thanks!
Comment 6 Stephen Tweedie 2006-02-24 15:13:37 EST
This is expected to be fixed in rawhide; please reopen if the problem persists.

Note You need to log in before you can comment on or make changes to this bug.